import { style } from '@vanilla-extract/css'

import * as colors from '../../../colors.css'

export const group = style({
	display:       'flex',
	fontFamily:    'monospace',
	fontSize:      '1em',
	lineHeight:    '1.4em',
	whiteSpace:    'pre',
	tabSize:       4,
	overflowX:     'scroll',
	paddingBottom: '1em',
	'@media': {
		'screen and (min-width: 768px)': {
			fontSize: '1.1em',
		}
	}
});

export const line_numbers = style({
	margin:       '0',
	marginRight:  '0.5em',
	paddingRight: '0.5em',
	color:        colors.foreground2,
	textAlign:    'right',
	userSelect:   'none',
});
