import * as style from './error.css'

const faces = [
	"(•́︵•̀)",
	"(╥﹏╥)",
]

export default function Error({ children }: { children: React.ReactNode }) {
	return <div className={style.error}>
		<p className={style.message}>{children}</p>
		<p className={style.sad}>{faces[Math.floor(Math.random() * faces.length)]}</p>
	</div>
}
